BaroclineBarocline
DexterHigh Resolution Precipitation

getBatchHighResData1km

Returns 1x1 weather report information for multiple locations.

POST
/api/v3/dexter/precip/1km

Returns weather report response for chosen peril containing precipitation data for given timestamp for multiple locations.

Query Parameters

startDate*string

The requested start date in MM/DD/YYYY format.

Formatdate
endDate*string

The requested end date in MM/DD/YYYY format.

Formatdate
peril?string

The type of peril: rain, snow, freezingrain or precipitation.

Default"PRECIPITATION"
Value in"RAINFALL" | "SNOWFALL" | "FREEZING_RAIN" | "PRECIPITATION"
units*string

The requested units: imperial or metric (default is imperial).

Default"IMPERIAL"
Value in"IMPERIAL" | "METRIC"
time?string

The timezone: lwt or gmt (default is gmt).

Default"GMT"
Value in"LWT" | "GMT"
format?string

The response format: json, xml or csv

Default"json"
Value in"json" | "xml" | "csv"
interval*string

The intervals: hourly, daily, or monthly.

Default"HOURLY"
Value in"HOURLY" | "DAILY" | "MONTHLY"
fillMissingHours?string

Whether to fill missing hours with next available precipitation data source. Only for raw precipitation data.

Default"false"
Value in"true" | "false"
userKey*string

The user key.

Request Body

application/json

Array of lat, lon coordinates in format [latitude,longitude,latitude,longitude...]. Limit of 100 locations.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://dexter.atheniumanalytics.com/api/v3/dexter/precip/1km?startDate=2019-08-24&endDate=2019-08-24&units=IMPERIAL&interval=HOURLY&userKey=string" \  -H "Content-Type: application/json" \  -d '[    "latitude1",    "longitude1",    "latitude2",    "longitude2"  ]'
{
  "head": {
    "startDate": "string",
    "endDate": "string",
    "interval": "string",
    "site": {
      "resolution": "string",
      "latitude": 0.1,
      "longitude": 0.1,
      "siteId": "string"
    }
  },
  "locations": [
    {
      "site": {
        "resolution": "string",
        "latitude": 0.1,
        "longitude": 0.1,
        "siteId": "string"
      },
      "data": [
        {
          "siteId": "string",
          "latitude": 0.1,
          "longitude": 0.1,
          "dateHrGmt": "string",
          "dateHrLwt": "string",
          "dateGmt": "string",
          "dateLwt": "string",
          "precipitationCentimeters": "string",
          "rainCentimeters": "string",
          "snowCentimeters": "string",
          "freezingrainCentimeters": "string",
          "temperatureCelsius": "string",
          "gustSpeedKph": "string",
          "sustainedSpeedKph": "string",
          "windDirectionDegrees": "string",
          "hailCentimeters": "string",
          "precipitationInches": "string",
          "rainInches": "string",
          "snowInches": "string",
          "freezingrainInches": "string",
          "temperatureFahrenheit": "string",
          "gustSpeedMph": "string",
          "sustainedSpeedMph": "string",
          "tornadicActivity": "string",
          "hailInches": "string",
          "maxHailInches": "string",
          "minHailInches": "string",
          "maxHailCentimeters": "string",
          "minHailCentimeters": "string",
          "maxTemperatureFahrenheit": "string",
          "minTemperatureFahrenheit": "string",
          "avgTemperatureFahrenheit": "string",
          "maxTemperatureCelsius": "string",
          "minTemperatureCelsius": "string",
          "avgTemperatureCelsius": "string",
          "maxTornadicActivity": "string",
          "minTornadicActivity": "string",
          "maxWindDirectionDegrees": "string",
          "minWindDirectionDegrees": "string",
          "avgWindDirectionDegrees": "string",
          "maxGustSpeedMph": "string",
          "maxSustainedSpeedMph": "string",
          "minGustSpeedMph": "string",
          "minSustainedSpeedMph": "string",
          "avgGustSpeedMph": "string",
          "avgSustainedSpeedMph": "string",
          "maxGustSpeedKph": "string",
          "maxSustainedSpeedKph": "string",
          "minGustSpeedKph": "string",
          "minSustainedSpeedKph": "string",
          "avgGustSpeedKph": "string",
          "avgSustainedSpeedKph": "string"
        }
      ]
    }
  ]
}
Empty
Empty
Empty